﻿using Microsoft.AspNetCore.Mvc;
using PaydayBackend.Services;

namespace PaydayBackend.Controllers;

[Route("v1/user")]
[ApiController]
public class UserController : ControllerBase
{
    private readonly IUserService _userService;

    public UserController(IUserService userService)
    {
        _userService = userService;
    }

    /// <summary>
    /// Загрузить документы
    /// </summary>
    [HttpPost("banks")]
    public async Task<ActionResult> AddBank(long userId, IFormFile file)
    {
        string result = await _userService.UploadDocs(userId, file);
        if (result == "ОК")
            return Ok(result);
            
        return BadRequest(result);
    }
}